/*
 * Header file for program pguiman - PostgreSQL Manager
 *
 * Copyright (C) 2007 Dvoracek Ondrej
 *
 * Dvoracek Ondrej <odvorace@redhat.com>
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License
 *
 */

#include "../pguiman.h"

typedef struct expanded_rows{
	GList * list;
	GtkTreePath * selected_path;
}T_Exp_rows;

void
show_object_tree(void);

void
map_expanded_rows(GtkTreeView *tree_view, GtkTreePath *path, gpointer user_data);

void
restore_expanded_rows(GtkTreeView * tree, T_Exp_rows * rows);
